import { AttributeFilterHandlerEventListener } from "./redux/index.js";
import { Callback, CallbackRegistration, Unsubscribe, InvertableAttributeElementSelection, OnInitErrorCallbackPayload, OnLoadAttributeSuccessCallbackPayload, OnLoadAttributeErrorCallbackPayload, OnLoadInitialElementsPageSuccessCallbackPayload, OnLoadInitialElementsPageErrorCallbackPayload, OnLoadNextElementsPageSuccessCallbackPayload, OnLoadNextElementsPageErrorCallbackPayload, OnLoadCustomElementsSuccessCallbackPayload, OnLoadCustomElementsErrorCallbackPayload, OnSelectionChangedCallbackPayload, OnSelectionCommittedCallbackPayload, OnInitTotalCountErrorCallbackPayload, OnLoadIrrelevantElementsSuccessCallbackPayload, OnLoadIrrelevantElementsErrorCallbackPayload } from "../types/index.js";
/**
 * @internal
 */
export declare const newAttributeFilterCallbacks: () => {
    registrations: {
        initStart: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        initSuccess: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        initError: {
            invoke: (payload: OnInitErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnInitErrorCallbackPayload>;
        };
        initCancel: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        initTotalCountStart: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        initTotalCountSuccess: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        initTotalCountError: {
            invoke: (payload: OnInitTotalCountErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnInitTotalCountErrorCallbackPayload>;
        };
        initTotalCountCancel: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadAttributeStart: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadAttributeSuccess: {
            invoke: (payload: OnLoadAttributeSuccessCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadAttributeSuccessCallbackPayload>;
        };
        loadAttributeError: {
            invoke: (payload: OnLoadAttributeErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadAttributeErrorCallbackPayload>;
        };
        loadAttributeCancel: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadInitialElementsPageStart: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadInitialElementsPageSuccess: {
            invoke: (payload: OnLoadInitialElementsPageSuccessCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadInitialElementsPageSuccessCallbackPayload>;
        };
        loadInitialElementsPageError: {
            invoke: (payload: OnLoadInitialElementsPageErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadInitialElementsPageErrorCallbackPayload>;
        };
        loadInitialElementsPageCancel: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadNextElementsPageStart: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadNextElementsPageSuccess: {
            invoke: (payload: OnLoadNextElementsPageSuccessCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadNextElementsPageSuccessCallbackPayload>;
        };
        loadNextElementsPageError: {
            invoke: (payload: OnLoadNextElementsPageErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadNextElementsPageErrorCallbackPayload>;
        };
        loadNextElementsPageCancel: {
            invoke: (payload: {
                correlation: import("../types/common.js").Correlation;
            }) => void;
            subscribe: CallbackRegistration<{
                correlation: import("../types/common.js").Correlation;
            }>;
        };
        loadCustomElementsStart: {
            invoke: (payload: Partial<{
                correlation: import("../types/common.js").Correlation;
            }>) => void;
            subscribe: CallbackRegistration<Partial<{
                correlation: import("../types/common.js").Correlation;
            }>>;
        };
        loadCustomElementsSuccess: {
            invoke: (payload: OnLoadCustomElementsSuccessCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadCustomElementsSuccessCallbackPayload>;
        };
        loadCustomElementsError: {
            invoke: (payload: OnLoadCustomElementsErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadCustomElementsErrorCallbackPayload>;
        };
        loadCustomElementsCancel: {
            invoke: (payload: Partial<{
                correlation: import("../types/common.js").Correlation;
            }>) => void;
            subscribe: CallbackRegistration<Partial<{
                correlation: import("../types/common.js").Correlation;
            }>>;
        };
        loadIrrelevantElementsStart: {
            invoke: (payload: Partial<{
                correlation: import("../types/common.js").Correlation;
            }>) => void;
            subscribe: CallbackRegistration<Partial<{
                correlation: import("../types/common.js").Correlation;
            }>>;
        };
        loadIrrelevantElementsSuccess: {
            invoke: (payload: OnLoadIrrelevantElementsSuccessCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadIrrelevantElementsSuccessCallbackPayload>;
        };
        loadIrrelevantElementsError: {
            invoke: (payload: OnLoadIrrelevantElementsErrorCallbackPayload) => void;
            subscribe: CallbackRegistration<OnLoadIrrelevantElementsErrorCallbackPayload>;
        };
        loadIrrelevantElementsCancel: {
            invoke: (payload: Partial<{
                correlation: import("../types/common.js").Correlation;
            }>) => void;
            subscribe: CallbackRegistration<Partial<{
                correlation: import("../types/common.js").Correlation;
            }>>;
        };
        selectionChanged: {
            invoke: (payload: OnSelectionChangedCallbackPayload<InvertableAttributeElementSelection>) => void;
            subscribe: CallbackRegistration<OnSelectionChangedCallbackPayload<InvertableAttributeElementSelection>>;
        };
        selectionCommitted: {
            invoke: (payload: OnSelectionCommittedCallbackPayload<InvertableAttributeElementSelection>) => void;
            subscribe: CallbackRegistration<OnSelectionCommittedCallbackPayload<InvertableAttributeElementSelection>>;
        };
        update: {
            invoke: (payload: void) => void;
            subscribe: CallbackRegistration<void>;
        };
    };
    registerCallback: <T>(cb: Callback<T>, registerFn: {
        invoke: (payload: T) => void;
        subscribe: CallbackRegistration<T>;
    }) => Unsubscribe;
    unsubscribeAll: () => void;
    eventListener: AttributeFilterHandlerEventListener;
};
//# sourceMappingURL=callbacks.d.ts.map