/**
 * @internal
 */
export declare const rootReducers: {
    transformFilterToPrimaryLabel: import("./state.js").AttributeFilterReducer<{
        payload: {
            primaryLabelRef: import("@gooddata/sdk-model").ObjRef;
            secondaryLabelRef: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setDisplayAsLabel: import("./state.js").AttributeFilterReducer<{
        payload: {
            displayAsLabel: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setDisplayFormRef: import("./state.js").AttributeFilterReducer<{
        payload: {
            displayForm: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setElementsTotalCount: import("./state.js").AttributeFilterReducer<{
        payload: {
            totalCount: number;
        };
        type: string;
    }>;
    initTotalCount: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountSuccess: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setElementsTotalCountWithCurrentSettings: import("./state.js").AttributeFilterReducer<{
        payload: {
            totalCount: number;
        };
        type: string;
    }>;
    setOffset: import("./state.js").AttributeFilterReducer<{
        payload: {
            offset: number;
        };
        type: string;
    }>;
    setLimit: import("./state.js").AttributeFilterReducer<{
        payload: {
            limit: number;
        };
        type: string;
    }>;
    setSearch: import("./state.js").AttributeFilterReducer<{
        payload: {
            search: string;
        };
        type: string;
    }>;
    setOrder: import("./state.js").AttributeFilterReducer<{
        payload: {
            order: import("@gooddata/sdk-model").SortDirection;
        };
        type: string;
    }>;
    setLimitingAttributeFilters: import("./state.js").AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-backend-spi").IElementsQueryAttributeFilter[];
        };
        type: string;
    }>;
    setLimitingMeasures: import("./state.js").AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-model").IMeasure[];
        };
        type: string;
    }>;
    setLimitingValidationItems: import("./state.js").AttributeFilterReducer<{
        payload: {
            validateBy: import("@gooddata/sdk-model").ObjRef[];
        };
        type: string;
    }>;
    setLimitingDateFilters: import("./state.js").AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-model").IRelativeDateFilter[] | import("@gooddata/sdk-model").IAbsoluteDateFilter[];
        };
        type: string;
    }>;
    setLimitingAttributeFiltersAttributes: import("./state.js").AttributeFilterReducer<{
        payload: {
            attributes: import("@gooddata/sdk-model").IAttributeMetadataObject[];
        };
        type: string;
    }>;
    setCacheId: import("./state.js").AttributeFilterReducer<{
        payload: {
            cacheId: string | undefined;
        };
        type: string;
    }>;
    changeSelection: import("./state.js").AttributeFilterReducer<{
        payload: {
            selection: string[];
            isInverted?: boolean;
            irrelevantSelection?: string[];
        };
        type: string;
    }>;
    revertSelection: import("./state.js").AttributeFilterReducer;
    commitSelection: import("./state.js").AttributeFilterReducer;
    invertSelection: import("./state.js").AttributeFilterReducer;
    clearSelection: import("./state.js").AttributeFilterReducer;
    loadIrrelevantElementsRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsSuccess: import("./state.js").AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadIrrelevantElementsResult & {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancelRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            options: import("../../../index.js").ILoadElementsOptions;
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsSuccess: import("./state.js").AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation?: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadCustomElementsError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsCancelRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadNextElementsPageRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageSuccess: import("./state.js").AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadNextElementsPageError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageCancelRequest: import("./state.js").AttributeFilterReducer;
    loadNextElementsPageCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageSuccess: import("./state.js").AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadInitialElementsPageError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageCancelRequest: import("./state.js").AttributeFilterReducer;
    loadInitialElementsPageCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeRequest: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeSuccess: import("./state.js").AttributeFilterReducer<{
        payload: {
            attribute: import("@gooddata/sdk-model").IAttributeMetadataObject;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeCancelRequest: import("./state.js").AttributeFilterReducer;
    loadAttributeCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    init: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initStart: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initSuccess: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initError: import("./state.js").AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initCancel: import("./state.js").AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
};
//# sourceMappingURL=rootReducers.d.ts.map