import { AttributeFilterReducer } from "./state.js";
/**
 * @internal
 */
export declare const sliceReducer: AttributeFilterReducer;
/**
 * @internal
 */
export declare const actions: import("@reduxjs/toolkit").CaseReducerActions<{
    transformFilterToPrimaryLabel: AttributeFilterReducer<{
        payload: {
            primaryLabelRef: import("@gooddata/sdk-model").ObjRef;
            secondaryLabelRef: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setDisplayAsLabel: AttributeFilterReducer<{
        payload: {
            displayAsLabel: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setDisplayFormRef: AttributeFilterReducer<{
        payload: {
            displayForm: import("@gooddata/sdk-model").ObjRef;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setElementsTotalCount: AttributeFilterReducer<{
        payload: {
            totalCount: number;
        };
        type: string;
    }>;
    initTotalCount: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountSuccess: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initTotalCountCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    setElementsTotalCountWithCurrentSettings: AttributeFilterReducer<{
        payload: {
            totalCount: number;
        };
        type: string;
    }>;
    setOffset: AttributeFilterReducer<{
        payload: {
            offset: number;
        };
        type: string;
    }>;
    setLimit: AttributeFilterReducer<{
        payload: {
            limit: number;
        };
        type: string;
    }>;
    setSearch: AttributeFilterReducer<{
        payload: {
            search: string;
        };
        type: string;
    }>;
    setOrder: AttributeFilterReducer<{
        payload: {
            order: import("@gooddata/sdk-model").SortDirection;
        };
        type: string;
    }>;
    setLimitingAttributeFilters: AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-backend-spi").IElementsQueryAttributeFilter[];
        };
        type: string;
    }>;
    setLimitingMeasures: AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-model").IMeasure[];
        };
        type: string;
    }>;
    setLimitingValidationItems: AttributeFilterReducer<{
        payload: {
            validateBy: import("@gooddata/sdk-model").ObjRef[];
        };
        type: string;
    }>;
    setLimitingDateFilters: AttributeFilterReducer<{
        payload: {
            filters: import("@gooddata/sdk-model").IRelativeDateFilter[] | import("@gooddata/sdk-model").IAbsoluteDateFilter[];
        };
        type: string;
    }>;
    setLimitingAttributeFiltersAttributes: AttributeFilterReducer<{
        payload: {
            attributes: import("@gooddata/sdk-model").IAttributeMetadataObject[];
        };
        type: string;
    }>;
    setCacheId: AttributeFilterReducer<{
        payload: {
            cacheId: string | undefined;
        };
        type: string;
    }>;
    changeSelection: AttributeFilterReducer<{
        payload: {
            selection: string[];
            isInverted?: boolean;
            irrelevantSelection?: string[];
        };
        type: string;
    }>;
    revertSelection: AttributeFilterReducer;
    commitSelection: AttributeFilterReducer;
    invertSelection: AttributeFilterReducer;
    clearSelection: AttributeFilterReducer;
    loadIrrelevantElementsRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsSuccess: AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadIrrelevantElementsResult & {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancelRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsRequest: AttributeFilterReducer<{
        payload: {
            options: import("../../../index.js").ILoadElementsOptions;
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsSuccess: AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation?: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadCustomElementsError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsCancelRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadCustomElementsCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation | undefined;
        };
        type: string;
    }>;
    loadNextElementsPageRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageSuccess: AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadNextElementsPageError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadNextElementsPageCancelRequest: AttributeFilterReducer;
    loadNextElementsPageCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageSuccess: AttributeFilterReducer<{
        payload: import("../../../index.js").ILoadElementsResult & {
            correlation: import("../../../index.js").Correlation;
            enableDuplicatedLabelValuesInAttributeFilter: boolean;
        };
        type: string;
    }>;
    loadInitialElementsPageError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadInitialElementsPageCancelRequest: AttributeFilterReducer;
    loadInitialElementsPageCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeRequest: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeSuccess: AttributeFilterReducer<{
        payload: {
            attribute: import("@gooddata/sdk-model").IAttributeMetadataObject;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    loadAttributeCancelRequest: AttributeFilterReducer;
    loadAttributeCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    init: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initStart: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initSuccess: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initError: AttributeFilterReducer<{
        payload: {
            error: import("@gooddata/sdk-ui").GoodDataSdkError;
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
    initCancel: AttributeFilterReducer<{
        payload: {
            correlation: import("../../../index.js").Correlation;
        };
        type: string;
    }>;
}, "attributeFilterSlice">;
//# sourceMappingURL=slice.d.ts.map