// (C) 2007-2025 GoodData Corporation
import { isAbsoluteDateFilterForm, isAbsoluteDateFilterPreset, isRelativeDateFilterForm, isRelativeDateFilterPreset, } from "@gooddata/sdk-model";
import isEmpty from "lodash/isEmpty.js";
/**
 * Type-guard testing whether the provided object is an instance of {@link IUiRelativeDateFilterForm}.
 * @public
 */
export const isUiRelativeDateFilterForm = (obj) => {
    return !isEmpty(obj) && obj.type === "relativeForm";
};
/**
 * Type-guard testing whether the provided object is an instance of {@link AbsoluteDateFilterOption}.
 * @public
 */
export const isAbsoluteDateFilterOption = (obj) => isAbsoluteDateFilterForm(obj) || isAbsoluteDateFilterPreset(obj);
/**
 * Type-guard testing whether the provided object is an instance of {@link RelativeDateFilterOption}.
 * @public
 */
export const isRelativeDateFilterOption = (obj) => isRelativeDateFilterForm(obj) || isRelativeDateFilterPreset(obj);
/**
 * Type-guard testing whether the provided object is an instance of {@link RelativeDateFilterOption} with boundedFilter.
 * @public
 */
export const isRelativeDateFilterWithBoundOption = (obj) => isRelativeDateFilterOption(obj) && !isEmpty(obj.boundedFilter);
//# sourceMappingURL=index.js.map